/*
 * @(#)HeuristicException.java	1.3 98/03/13
 *
 * Copyright (c) 1998 Sun Microsystems, Inc. All Rights Reserved.
 *
 * This software is the confidential and proprietary information of Sun
 * Microsystems, Inc. ("Confidential Information").  You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Sun.
 *
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
 * SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
 * PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
 * SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
 * THIS SOFTWARE OR ITS DERIVATIVES.
 *
 * CopyrightVersion jta 0.3-0.9
 *
 */

package javax.transaction;

/**
 * This exception indicates that one or more participants
 * in a transaction has made a unilateral decision to commit or roll back
 * updates without first obtaining the outcome determined by the transaction
 * service.
 *
 * <p> Heuristic decisions are normally made only in unusual circumstances,
 * such as communication failures, that prevent normal processing. When a
 * participant makes a heuristic decision, there is a risk that the decision
 * will differ from the consensus outcome, potentially resulting in loss
 * of data integrity.
 *
 * <p> The subclasses of this exception provide more specific reporting
 * of the incorrect heuristic decision or the possibility of incorrect
 * heuristic decision.
 */
public class HeuristicException extends java.rmi.RemoteException 
{
    public HeuristicException()
    {
	super();
    }

    public HeuristicException(String msg)
    {
	super(msg);
    }
}

